package com.bizzan.bitrade.constant;

import com.bizzan.bitrade.core.BaseEnum;
import com.fasterxml.jackson.annotation.JsonValue;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

/**
 * @author 
 * @description 系统广告位置
 * @date 2019/1/6 15:59
 */
@AllArgsConstructor
@Getter
public enum DisplayMode implements BaseEnum {
    GENERAL("通用"),
    DAY("白天"),
    NIGHT("黑夜");
    @Setter
    private String cnName;
    @Override
    @JsonValue
    public int getOrdinal() {
        return ordinal();
    }
}
